#!/bin/sh
pid=`ps ax|grep [n]rpe2| awk '{ print $1 }'`
exec=%%PREFIX%%/libexec/nrpe2
conf=%%PREFIX%%/etc/nrpe2/nrpe.cfg

case "$1" in
start)
	[ -x $exec ] \
		&& $exec -c $conf --daemon  \
		> /dev/null && echo -n ' nrpe2'
	;;
stop)
	[ -r $pid ] \
		&& kill $pid
		> /dev/null && echo -n ' nrp2'
	;;
restart)
	stop
	sleep 2
	start
	;;
*)
	echo "Usage: `basename $0` {start|stop|restart}" >&2
	;;
esac

exit 0
